name: 'Vault Credential Action'
description: 'A Gitea Action that allows you to consume HashiCorp Vault™ secrets as secure environment variables'
inputs:
  url:
    description: 'The Vault Server Prefix, e.g. https://vault.example.com:8200'
    required: true
  method:
    description: 'Login Method'
    default: 'approle'
    required: false
  roleId:
    description: 'Role ID'
    required: false
  secretId:
    description: 'Role Secret'
    required: false
  secrets:
    description: 'A semicolon-separated list of secrets to retrieve. These will automatically be converted to environmental variable keys. See README for more details'
    required: false
  token:
    description: 'The Vault Token to be used to authenticate with Vault'
    required: false
runs:
  using: 'go'
  main: 'cmd/main.go'
